cURL
curl --request GET \
--url https://api.buildwithchirp.com/v1/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.buildwithchirp.com/v1/webhooks/{webhookId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.buildwithchirp.com/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "whk_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"appId": "app_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"url": "https://example.com/webhook",
"events": [
"messages.sms.received",
"messages.whatsapp.sent"
],
"headers": {
"X-Custom-Header": "value"
},
"createdAt": "2021-08-01T00:00:00Z",
"updatedAt": "2021-08-01T00:00:00Z"
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}Webhooks
Get app webhook
Get a specific webhook by ID for the authenticated app
GET
/
v1
/
webhooks
/
{webhookId}
cURL
Authorizations
App API key (format: sk_live_app_* or sk_test_app_*) for app-level operations
Path Parameters
Unique identifier for a Webhook. Format: whk_[test_]{ksuid}
Pattern:
^whk_(?:test_)?[a-zA-Z0-9]{27}$Example:
"whk_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Response
Get webhook
Unique identifier for a Webhook. Format: whk_[test_]{ksuid}
Pattern:
^whk_(?:test_)?[a-zA-Z0-9]{27}$Example:
"whk_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Unique identifier for a App. Format: app_[test_]{ksuid}
Pattern:
^app_(?:test_)?[a-zA-Z0-9]{27}$Example:
"app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
URL to send webhook events to
Example:
"https://example.com/webhook"
Events that trigger this webhook
Example:
[
"messages.sms.received",
"messages.whatsapp.sent"
]
Custom headers included in webhook requests
Show child attributes
Show child attributes
Example:
{ "X-Custom-Header": "value" }
When the webhook was created
Example:
"2021-08-01T00:00:00Z"
When the webhook was last updated
Example:
"2021-08-01T00:00:00Z"
⌘I